<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template name="Place">
		<xsl:comment>Begin place tabs</xsl:comment>
		<table width="100%" border="0" cellpadding="0" cellspacing="0">
			<tr>
				<xsl:choose>
					<xsl:when test="name(.) = 'subpage'">
						<xsl:variable name="currPlace" select="parent::page/parent::place/@label"/>
						<xsl:for-each select="parent::page/parent::place/parent::persona/child::place">
							<xsl:if test=" @stepNumber = 0 ">
								<xsl:variable name="thisPlace" select="@label"/>
								<xsl:choose>
									<xsl:when test="$thisPlace = $currPlace">
										<td class="wpsSelectedPlace" nowrap="true">
											<a class="wpsSelectedPlaceLink">
												<xsl:attribute name="href"><xsl:value-of select="@href"/></xsl:attribute>
												<xsl:value-of select="string(@label)"/>
											</a>
										</td>
									</xsl:when>
									<xsl:otherwise>
										<td class="wpsUnSelectedPlace" nowrap="true">
											<a class="wpsUnSelectedPlaceLink">
												<xsl:attribute name="href"><xsl:value-of select="@href"/></xsl:attribute>
												<xsl:value-of select="string(@label)"/>
											</a>
										</td>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:if>
						</xsl:for-each>
					</xsl:when>
					<xsl:when test="name(.) = 'page'">
						<xsl:variable name="currPlace" select="parent::place/@label"/>
						<xsl:for-each select="parent::place/parent::persona/child::place">
							<xsl:if test=" @stepNumber = 0 ">
								<xsl:variable name="thisPlace" select="@label"/>
								<xsl:choose>
									<xsl:when test="$thisPlace = $currPlace">
										<td class="wpsSelectedPlace" nowrap="true">
											<a class="wpsSelectedPlaceLink">
												<xsl:attribute name="href"><xsl:value-of select="@href"/></xsl:attribute>
												<xsl:value-of select="string(@label)"/>
											</a>
										</td>
									</xsl:when>
									<xsl:otherwise>
										<td class="wpsUnSelectedPlace" nowrap="true">
											<a class="wpsUnSelectedPlaceLink">
												<xsl:attribute name="href"><xsl:value-of select="@href"/></xsl:attribute>
												<xsl:value-of select="string(@label)"/>
											</a>
										</td>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:if>
						</xsl:for-each>
					</xsl:when>
					<xsl:when test="name(.) = 'place'">
						<xsl:variable name="currPlace" select="@label"/>
						<xsl:for-each select="parent::persona/child::place">
							<xsl:if test=" @stepNumber = 0 ">
								<xsl:variable name="thisPlace" select="@label"/>
								<xsl:choose>
									<xsl:when test="$thisPlace = $currPlace">
										<td class="wpsSelectedPlace" nowrap="true">
											<a class="wpsSelectedPlaceLink">
												<xsl:attribute name="href"><xsl:value-of select="@href"/></xsl:attribute>
												<xsl:value-of select="string(@label)"/>
											</a>
										</td>
									</xsl:when>
									<xsl:otherwise>
										<td class="wpsUnSelectedPlace" nowrap="true">
											<a class="wpsUnSelectedPlaceLink">
												<xsl:attribute name="href"><xsl:value-of select="@href"/></xsl:attribute>
												<xsl:value-of select="string(@label)"/>
											</a>
										</td>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:if>
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>Invalid context node [<xsl:value-of select="name(.)"/>]
						<br/>
					</xsl:otherwise>
				</xsl:choose>
				<td class="wpsDemoPlaceTabBarBGColor" width="75%">
					<spacer type="block" width="1" height="1"/>
				</td>
				<td class="wpsDemoPlaceTabBarBGColor" align="right" nowrap="true">
					<span>&#160;</span>
				</td>
				<td>
					<img src="../images/spacer.gif" width="10" height="1" alt="" border="0"/>
				</td>
			</tr>
		</table>
		<xsl:comment>End place tabs</xsl:comment>
	</xsl:template>
</xsl:stylesheet>
